<script lang="ts" setup>
import { type Ref, inject } from 'vue'
import { useReceiptStore } from '@/stores/receipt'
import ReceiptDialog from './ReceiptDialog.vue'
const receiptStore = useReceiptStore()
const showReceipt = function () {
  receiptStore.showReceiptDialog()
}

const clearReceipt = function () {
  receiptStore.clear()
}
const promptpaydialog = inject<Ref<boolean>>('PromptpayDialog')
</script>
<template>
  <v-row justify="center">
    <v-dialog v-model="promptpaydialog" persistent width="240">
      <v-card style="text-align: center">
        <br />
        <v-img
          :src="'public/img/coffee/Prom.jpg'"
          width="200"
          height="80"
          cover
          class="mx-auto"
        ></v-img>
        <br />
        <p>Docdance Coffee</p>
        <p>0884567894</p>

        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="blue-darken-1" variant="text" @click="promptpaydialog = false">
            Cancel
          </v-btn>
          <v-btn
            color="blue-darken-1"
            variant="text"
            @click="showReceipt(), (promptpaydialog = false)"
          >
            Payment successful
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
  <ReceiptDialog></ReceiptDialog>
</template>
